class UsersController < ApplicationController
  before_filter :find_user, :except => [:new, :create]  

  def new
    @user = User.new
  end
  
  def create
    @user = User.new(params[:user])
    if @user.save
      @current_user = @user
      session[:user] = @current_user.id
      flash[:reg] = 'Successul registration'
      redirect_to :controller=>:bids, :action=>:index
    else
      flash[:reg] = 'User name already used'
      redirect_to :back
      #render :action=>:new
    end
  end

  def edit
    #@user = User.new
    #@user.username = 'valaki'
    #@user.email = 'valaki@bme.hu'
    #@user.bank_account = 11111111
    #@user.password = 'titok'
  end
  
  def update
    if @user.update_attributes(params[:user])
      flash[:reg] = 'Update successful'
      redirect_to :action => :edit
    else
      flash[:reg] = 'Could not update personal data'
      redirect_to :action => :edit
    end
  end

  def show
    #@user = User.new
    #@user.username = 'valaki'
    #@user.email = 'valaki@bme.hu'
    #@user.bank_account = 11111111
    #@user.password = 'titok'
    #@user.account = 1
  end

  def forgotten
    @user = User.new
  end
  
  def send_forgotten
  end
  
  def upload
    if session[:user]
      if !params[:upload].nil?
        @user.save_file params[:upload]
        flash[:reg]  = "File uploaded successfully"
        redirect_to :action => :show 
      else
        flash[:reg] = "Empty file field"
        redirect_to :action => :edit
      end
    else
      flash[:reg] = "Please log in"
      redirect_to :action => :edit
    end
  end
  
  def download
    send_file("public/profilepictures/#{@user.profile_picture}", :disposition => :attachment.to_s)
  end

  private
  def find_user
    @user = User.find(session[:user])
  end
end
