class Event < ActiveRecord::Base
  attr_accessible :description, :eventtime, :oddsfalse, :oddstrue
  has_many :bids
  has_many :users, :through => :bids
  
  def self.get_events_page(page)
    Event.order('eventtime desc').paginate(:page=>page, :per_page=>5)
  end
end
